SparrowDesk
Notes

Retrieve a company note

GET
/company-notes/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Unique identifier of the note

Response Body

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/company-notes/0"
{
  "data": {
    "id": 1902,
    "contact_id": null,
    "company_id": 4410,
    "title": "Renewal call",
    "description": "Wants the annual plan. Sending the contract.",
    "source": "api",
    "attachments": [
      {
        "id": 1120,
        "url": "https://attachments.sparrowdesk.com/helpdesk-application/production/6f1c/note-attachments/master-services-agreement.pdf",
        "file_name": "master-services-agreement.pdf",
        "content_type": "application/pdf",
        "size": 88214,
        "status": "READY"
      }
    ],
    "created_by": {
      "id": 61,
      "name": "Richard Roe",
      "email": "[email protected]"
    },
    "last_updated_by": {
      "id": 73,
      "name": "Jane Roe",
      "email": "[email protected]"
    },
    "created_at": 1758537600,
    "updated_at": 1758537600
  }
}
{
  "error": {
    "message": "Note not found"
  }
}
{
  "error": {
    "message": "Internal server error"
  }
}